#!/bin/python3
from bottle import route, run, template, request, response, static_file
import json
import time
import math

counter=0

# Begrüßungsseite
@route('/')
def myindex():
    global counter
    counter+=1
    return ['<h3>Hello world!</h3><br><br>Klick fuer <a href="web/client_einfach.html">Einstieg</a>']
# Hier werden (statische) Dateien serviert
@route('/favicon.ico')
def myicon():
    return static_file('favicon.ico', root='web/')
    
@route('/web/<filename>')
def mystatic(filename):
    return static_file(filename, root='web/')


# Hier wird interaktiv zurückgemeldet
@route('/ajax')
def myajax():
    # eine globale Variable, die mitzählt
    global counter
    counter+=1
    
    # unsere Rückmeldung soll als JSON erkennbar sein
    response.content_type ='text/json; charset=utf8'

    # ein Wert, den der client übergibt - vertraue nicht dem client
    try:
        nummer = int(request.query.nummer)
    except:
        nummer = 1
    
    # Das JSON-Objekt enthält zwei Variableninhalte, das Ergebnis einer Berechnung sowie die Meldung, dass alles ok ist.
    return json.dumps({'Aufrufe':counter,'deineZahl':nummer,'deinQuadrat':nummer*nummer})
        
    
# Hier wird der Serverdienst gestartet, so dass er bei Dateiänderung automatisch neu gestartet wird.
run(host='0.0.0.0', port=8080, reloader=True)
